UDFs missing from Debian/Ubuntu packages

Bug #1296416 reported by cybernet on 2014-03-23
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Percona Server
Status tracked in 5.6
5.5
High
Alexey Bychko
5.6
High
Alexey Bychko

Bug Description

i followed this->http://www.percona.com/doc/percona-server/5.6/installation.html documentation to install percona server 5.6 to ubuntu precise

it succesfully installed and started, but i followed a recomandation from installer to create fnv1a_64 function, witch i did with
mysql -e "CREATE FUNCTION fnv1a_64 RETURNS INTEGER SONAME 'libfnv1a_udf.so'" -p

and i got

ERROR 1126 (HY000) at line 1: Can't open shared library 'libfnv1a_udf.so' (errno: 11 /usr/lib/mysql/plugin/libfnv1a_udf.so: cannot open shared object file: No such file or directory)

also mysql -e "CREATE FUNCTION fnv_64 RETURNS INTEGER SONAME 'libfnv_udf.so'" -p
gives
ERROR 1126 (HY000) at line 1: Can't open shared library 'libfnv_udf.so' (errno: 11 /usr/lib/mysql/plugin/libfnv_udf.so: cannot open shared object file: No such file or directory)

and
mysql -e "CREATE FUNCTION murmur_hash RETURNS INTEGER SONAME 'libmurmur_udf.so'" -p
gives
ERROR 1126 (HY000) at line 1: Can't open shared library 'libmurmur_udf.so' (errno: 11 /usr/lib/mysql/plugin/libmurmur_udf.so: cannot open shared object file: No such file or directory)

Tags: pkg Edit Tag help

Related branches

lp:~percona-core/percona-server/release-5.5.36-34.1
Merged into lp:percona-server/5.5 at revision 646
Laurynas Biveinis: Approve on 2014-03-27
lp:~percona-core/percona-server/release-5.6.16-64.1
Merged into lp:percona-server at revision 568
Laurynas Biveinis: Approve on 2014-03-26
Download full text (3.4 KiB)

Yes, libraries are not there. There problem is visible in all recent 5.6 and 5.5 .debs, not only those for Ubuntu Precise:

[openxs@chief ~]$ dpkg -c percona-server-server-5.6_5.6.16-64.1-563.precise_amd64.deb | grep lib
drwxr-xr-x root/root 0 2014-03-15 20:12 ./usr/lib/
drwxr-xr-x root/root 0 2014-03-15 20:12 ./usr/lib/mysql/
drwxr-xr-x root/root 0 2014-03-15 20:12 ./usr/lib/mysql/plugin/
-rw-r--r-- root/root 14288 2014-03-15 20:12 ./usr/lib/mysql/plugin/auth_pam_compat.so
-rw-r--r-- root/root 6096 2014-03-15 20:12 ./usr/lib/mysql/plugin/auth_socket.so
-rw-r--r-- root/root 14288 2014-03-15 20:12 ./usr/lib/mysql/plugin/auth_pam.so
-rw-r--r-- root/root 14656 2014-03-15 20:12 ./usr/lib/mysql/plugin/semisync_slave.so
-rw-r--r-- root/root 10432 2014-03-15 20:12 ./usr/lib/mysql/plugin/auth.so
-rw-r--r-- root/root 3263464 2014-03-15 20:12 ./usr/lib/mysql/plugin/dialog.so
-rw-r--r-- root/root 6096 2014-03-15 20:12 ./usr/lib/mysql/plugin/qa_auth_server.so
-rw-r--r-- root/root 10176 2014-03-15 20:12 ./usr/lib/mysql/plugin/libdaemon_example.so
-rw-r--r-- root/root 39904 2014-03-15 20:12 ./usr/lib/mysql/plugin/semisync_master.so
-rw-r--r-- root/root 6336 2014-03-15 20:12 ./usr/lib/mysql/plugin/adt_null.so
-rw-r--r-- root/root 10440 2014-03-15 20:12 ./usr/lib/mysql/plugin/auth_test_plugin.so
-rw-r--r-- root/root 10696 2014-03-15 20:12 ./usr/lib/mysql/plugin/myplugli .so
-rw-r--r-- root/root 19016 2014-03-15 20:12 ./usr/lib/mysql/plugin/validate_password.so
-rw-r--r-- root/root 227 2014-03-15 19:08 ./usr/lib/mysql/plugin/daemon_example.ini
-rw-r--r-- root/root 10288 2014-03-15 20:12 ./usr/lib/mysql/plugin/qa_auth_interface.so
-rw-r--r-- root/root 5960 2014-03-15 20:12 ./usr/lib/mysql/plugin/qa_auth_client.so
[openxs@chief ~]$ dpkg -c percona-server-server-5.5_5.5.36-rel34.0-632.wheezy_amd64.deb | grep lib
drwxr-xr-x root/root 0 2014-02-28 18:13 ./usr/lib/
drwxr-xr-x root/root 0 2014-02-28 18:13 ./usr/lib/mysql/
drwxr-xr-x root/root 0 2014-02-28 18:13 ./usr/lib/mysql/plugin/
-rw-r--r-- root/root 10360 2014-02-28 18:13 ./usr/lib/mysql/plugin/qa_auth_interface.so
-rw-r--r-- root/root 39864 2014-02-28 18:13 ./usr/lib/mysql/plugin/semisync_master.so
-rw-r--r-- root/root 14648 2014-02-28 18:13 ./usr/lib/mysql/plugin/semisync_slave.so
-rw-r--r-- root/root 10504 2014-02-28 18:13 ./usr/lib/mysql/plugin/auth_test_plugin.so
-rw-r--r-- root/root 10504 2014-02-28 18:13 ./usr/lib/mysql/plugin/auth.so
-rw-r--r-- root/root 2899296 2014-02-28 18:13 ./usr/lib/mysql/plugin/dialog.so
-rw-r--r-- root/root 6312 2014-02-28 18:13 ./usr/lib/mysql/plugin/adt_null.so
-rw-r--r-- root/root 14360 2014-02-28 18:13 ./usr/lib/mysql/plugin/auth_pam_compat.so
-rw-r--r-- root/root 6168 2014-02-28 18:13 ./usr/lib/mysql/plugin/auth_socket.so
-rw-r--r-- root/root 6032 2014-02-28 18:13 ./usr/lib/mysql/plugin/qa_auth_client.so
-rw-r--r-- root/root 10248 2014-02-28 18:13 ./usr/lib/mysql/plugin/libdaemon_example.so
-rw-r--r-- root/root 6168 2014-02-28 18:13 ./usr/lib/mysql/plugin/qa_auth_server.so
-rw-r--r-- root/root 35520 2014-0...

Read more...

tags: added: pkg
cybernet (cybernet2u) wrote :

after my opinion you should include the libraries or else remove the "recomandation"

cybernet (cybernet2u) wrote :

*in my opinion ...

Alexey -

This is going to be fixed in the respin, right?

Alexey Bychko (abychko) wrote :

yes, fixed already

cybernet (cybernet2u) wrote :

so ... where is the patch ?

Hrvoje Matijakovic (hrvojem) wrote :

@cybernet,

Patch is currently available in Debian/Ubuntu testing repositories. Release is scheduled for today.

summary: - libfnv1a_udf.so ubuntu precise
+ UDFs missing from Debian/Ubuntu packages
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers